at-spi2-atk (2.26.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control:
    - Bump libatk1.0-dev dependnecy to >= 2.25.2
    - Bump libatspi2.0-dev dependency to >= 2.25.3

  [ Samuel Thibault ]
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Sep 2017 21:07:56 -0400

at-spi2-atk (2.24.1-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Drop patches applied in new release:
    - git-7cdc1f91c9802b0b8ecd2afea38c1717b1921736
    - git-8d3cc68f7bc62c7015d986212be0d5d776920ee2

  [ Samuel Thibault ]
  * control: Remove Mario from Uploaders (Closes: Bug#840862).
  * control: Update maintainer mailing list.
  * Use canonical anonscm vcs URL.

  [ Paul Gevers ]
  * Rewrite d/copyright with some aid of cme

 -- Paul Gevers <elbrus@debian.org>  Tue, 04 Jul 2017 20:37:15 +0200

at-spi2-atk (2.22.0-2) unstable; urgency=medium

  * patches/git-7cdc1f91c9802b0b8ecd2afea38c1717b1921736: Fix GList handling
    resulting in memory corruption.
  * patches/git-8d3cc68f7bc62c7015d986212be0d5d776920ee2: Fix use after free
    when returned objects hold only one ref.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 May 2017 21:35:33 +0200

at-spi2-atk (2.22.0-1) unstable; urgency=medium

  * New upstream release.
    - patches/init: Drop patch, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Oct 2016 22:09:42 +0200

at-spi2-atk (2.20.1-4) unstable; urgency=medium

  * patches/init: Properly return initialization failure when bridge is
    disabled.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Aug 2016 21:00:09 +0200

at-spi2-atk (2.20.1-3) unstable; urgency=medium

  * control: Remove libgail-common dependency, now that gtk recommends it
    already.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Aug 2016 20:46:37 +0200

at-spi2-atk (2.20.1-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.8 (no change)

  [ Martin Pitt ]
  * debian/90atk-adaptor: Export $GTK_MODULES to dbus user session as well.
    (Closes: #825831).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 May 2016 20:09:10 +0200

at-spi2-atk (2.20.1-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * debian/patches/p2p: Dropped, applied upstream
  * debian/patches/main_context: Refreshed

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Apr 2016 01:37:29 +0200

at-spi2-atk (2.18.1-3) unstable; urgency=medium

  * patches/p2p: New patch to fix accessibility in Debian installer running in
    debian Live.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Mar 2016 01:26:25 +0100

at-spi2-atk (2.18.1-2) unstable; urgency=medium

  * rules: Clear.
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * patches/main_context: New patch to allow java_atk_wrapper to use its own
    glib main_context instead of the default one.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Feb 2016 00:30:05 +0100

at-spi2-atk (2.18.1-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Oct 2015 13:41:08 +0200

at-spi2-atk (2.18.0-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * Bump libatspi2.0-dev build dependency to >= 2.17.90

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Sep 2015 23:32:59 +0200

at-spi2-atk (2.16.0-2) unstable; urgency=medium

  * install 90atk-adaptor in /etc/X11/Xsession.d to enable accessibility by
    default in gtk2 applications.
  * control: make sure that we have libgail-common along libatk-adaptor, so
    both modules can be enabled at the same time.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Sep 2015 13:58:13 +0200

at-spi2-atk (2.16.0-1) unstable; urgency=low

  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Tue, 05 May 2015 23:53:21 +0200

at-spi2-atk (2.14.0-2) unstable; urgency=medium

  * Cherry-pick c8cda37e28307ad195996ad54b9ee1680cca3ec3 from upstream, to fix
    gtktreeview speed issue described on
    https://bugzilla.gnome.org/show_bug.cgi?id=728319
    Thanks Laurent Bigonville for the notice.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Oct 2014 00:36:03 +0200

at-spi2-atk (2.14.0-1) unstable; urgency=medium

  * New upstream release.
    - patches/requires.private.patch: Remove patch, merged upstream.
  * watch: Only track even releases.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Oct 2014 22:24:36 +0200

at-spi2-atk (2.12.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Remove unused Build-Depends on libglib2.0-bin.
  * debian/control: Add myself to Uploaders.
  * debian/control: Fix Vcs-Browser URL.
  * debian/control: Adjust version of required libatspi-2 to 2.11.2.
  * Drop hardening-wrapper and replace with dpkg-buildflags.

 -- Mario Lang <mlang@debian.org>  Tue, 08 Jul 2014 23:31:16 +0200

at-spi2-atk (2.10.2-3) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * patches/requires.private.patch: New patch to fix typo in .pc file.
    (Closes: #734490)
  * control: Make libatk-bridge2.0-dev depend on libatspi2.0-dev.

  [ Paul Gevers ]
  * Update watch file
  * Update homepage

 -- Samuel Thibault <sthibault@debian.org>  Sat, 19 Apr 2014 21:35:28 +0200

at-spi2-atk (2.10.2-2) unstable; urgency=medium

  [ Steve Langasek ]
  * control: Build-depend on dh-autoreconf.
  * rules: Pass --with autoreconf to dh. (Closes: #733685)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Jan 2014 14:15:29 +0100

at-spi2-atk (2.10.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Dec 2013 19:36:42 +0100

at-spi2-atk (2.10.0-2) experimental; urgency=low

  * Upload to experimental.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Sep 2013 00:47:30 +0200

at-spi2-atk (2.10.0-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * Bump libatspi build depend to >= 2.9.90
  * Bump libatk-dev build dependency to >= 2.9.4

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Sep 2013 23:45:06 +0200

at-spi2-atk (2.9.5-2) unstable; urgency=low

  * Add libatk-bridge2.0-0-udeb package, needed by libgtk-3-0-udeb.
    (Closes: #723163)
  * Add libatk-adaptor-udeb, for future accessibility of graphical installer.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Sep 2013 11:14:41 +0200

at-spi2-atk (2.9.5-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: Drop the gconf2 build dependency, its no longer needed,
    and causes issues with GTK 3 in Ubuntu. (Closes: #717768)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Aug 2013 23:17:58 +0200

at-spi2-atk (2.9.4-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:13:43 +0200

at-spi2-atk (2.9.3-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: Bump libatspi2.0-dev to >= 2.9.3

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Jun 2013 00:22:44 +0200

at-spi2-atk (2.9.2-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 May 2013 23:24:03 +0200

at-spi2-atk (2.8.1-2) unstable; urgency=low

  * Upload to unstable

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 May 2013 00:58:57 +0200

at-spi2-atk (2.8.1-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Apr 2013 01:32:03 +0200

at-spi2-atk (2.8.0-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Mar 2013 22:48:24 +0100

at-spi2-atk (2.7.91-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Mar 2013 17:55:59 +0100

at-spi2-atk (2.7.5-1) experimental; urgency=low

  [ Samuel Thibault ]
  * Make libatk-bridge2.0-dev multi-arch: same.

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: Bump build dependency version requirements.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Feb 2013 23:00:57 +0100

at-spi2-atk (2.7.3-1) experimental; urgency=low

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Dec 2012 23:36:02 +0100

at-spi2-atk (2.7.2-1) experimental; urgency=low

  [ Samuel Thibault ]
  * control: Build-depend on atspi-2 2.5.92 or later to fix spurious dbus
    closure. Closes: #691018.

  [ Luke Yelavich ]
  * New upstream release

  [ Samuel Thibault ]
  * Update copyright file.
  * control: Add misc:Depends to libatk-adaptor-data.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Oct 2012 11:09:39 +0100

at-spi2-atk (2.7.1-1) experimental; urgency=low

  * New upstream release
    - patches/atk-adaptor-schema-gtk-2-0.patch: Remove patch, schema removed
    upstream.
    - libatk-adaptor-data.install: The schema file is not shipped any more.
    - control: Document now-empty libatk-adaptor-data as a dummy package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Oct 2012 22:21:58 +0200

at-spi2-atk (2.6.0-1) experimental; urgency=low

  * docs: Add NEWS and README files.
  * control: Remove intltool dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Sep 2012 18:49:06 +0200

at-spi2-atk (2.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix some crashes in atk_bridge_adaptor_cleanup (BGO#684434).
    - When the cache is activated, register it on the main D-Bus connection.
  * debian/patches/Fix-crashes-in-atk_bridge_adaptor_cleanup.patch: Dropped,
    applied upstream.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 25 Sep 2012 09:45:37 +1000

at-spi2-atk (2.5.92-0ubuntu2) quantal; urgency=low

  * debian/patches/Fix-crashes-in-atk_bridge_adaptor_cleanup.patch:
    - Fix a crash which is triggered when any GTK application exits.
      (LP: #1053112)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 21 Sep 2012 09:49:59 +1000

at-spi2-atk (2.5.92-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix atspi_hyperlink_get_uri (BGO#683182).
    - Only initialize the cache when an AT is running.
    - Fix various memory leaks (BGO#683979, BGO#684077)
  * Remove references to /usr/share/locale.
  * debian/patches/atk-adaptor-schema-gtk-2-0.patch: Point to the GTK2 module
    by default, since the GTK3 module is no longer around. Not many apps
    use this gsettings key, if anything Unity is the last one left, but for
    now we should point to a module that exists for those apps that need it.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Sep 2012 14:31:04 +1000

at-spi2-atk (2.5.91-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1046582)
    - Removed the gtk 3.0 module (BGO#678315).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Sep 2012 09:22:28 +1000

at-spi2-atk (2.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Don't leak a GError when option parsing fails (BGO#679296)
    - Rework some inefficient code when removing clients and events
      (BGO#679295, BGO#679297).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 21 Aug 2012 11:29:28 +1000

at-spi2-atk (2.5.5-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Implement GetLocalizedName for actions (BGO#680598)
    - Allow to build out of source directory (BGO#680280).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 07 Aug 2012 12:07:02 +1000

at-spi2-atk (2.5.4-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix for bug #679013 - AtspiCollection should be implemented for
      all containers
    - Don't create a (non-readable) subdirectory for the socket when root.
    - Plug ref count leaks (BGO#679285).
    - Only create a directory and a socket when requested. (LP: #1020512)
    - Only add items to the cache on children-changed if the children are
      included in the event.
    - Only send PropertyChange signals used for caching, absent listeners.
  * debian/patches/git_refcount_leak.patch: Dropped, applied upstream.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 17 Jul 2012 09:47:36 +1000

at-spi2-atk (2.5.3-1ubuntu1) quantal; urgency=low

  * debian/patches/git_refcount_leak.patch:
    - git patches to fix refcount issues leading to gtk bugs

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Jul 2012 22:43:56 +0200

at-spi2-atk (2.5.3-2) unstable; urgency=low

  * patches/leak*: Cherry-pick from upstream: fix reference leaks.
  * patches/socket*: Cherry-pick from upstream: mitigate at-spi socket
    creation. (Closes: #688094)
  * patches/lv: Cherry-pick from upstream: lv translation update.
  * patches/pl: Cherry-pick from upstream: pl translation update.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Sep 2012 16:28:06 +0200

at-spi2-atk (2.5.3-1) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Fix Homepage URL, thanks DUCK!
  * copyright: Update.

  [ Luke Yelavich ]
  * New upstream release. (Closes: #678026)
  * Add libatk-bridge2.0 series of packages for the newly introduced
    libatk-bridge shared library.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jun 2012 23:35:36 -0300

at-spi2-atk (2.5.2-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Jun 2012 00:06:59 +0200

at-spi2-atk (2.5.1-1) unstable; urgency=low

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 May 2012 01:30:02 +0200

at-spi2-atk (2.4.0-3) unstable; urgency=low

  * Rename libatk-adaptor-schemas to libatk-adaptor-data, and move message
  translations to it (closes: Bug#669986).
  * Make it not multi-arch:foreign, to make sure we do not install the
  non-native version, which would break use of the schema for native
  applications (while unbreaking for non-native ones). Make libatk-adaptor
  recommend it, not depend on it, so that it does not have to be foreign.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Apr 2012 18:08:43 +0200

at-spi2-atk (2.4.0-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Get rid of source/options, to get standard compression of the debian.tar. 

  [ Samuel Thibault ]
  * debian/control: make libatk-adaptor depend on libatk-adaptor-schemas, not
    only suggest it, to make sure it gets installed. Also depend on the same
    version for safety.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Apr 2012 01:25:31 +0200

at-spi2-atk (2.4.0-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: libatk-adaptor should also provides: at-spi

  [ Jordi Mallach ]
  * Add myself to Uploaders.
  * Bump debhelper to v9.
  * Update Vcs-* URLs.

 -- Jordi Mallach <jordi@debian.org>  Thu, 29 Mar 2012 15:48:06 +0200

at-spi2-atk (2.3.92-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Mar 2012 01:10:10 +0100

at-spi2-atk (2.3.91-1) unstable; urgency=low

  * New upstream release.
  * watch: Include odd versions again, use .xz suffix.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Mar 2012 02:11:59 +0100

at-spi2-atk (2.3.90-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release.
  * Build for multi-arch, split out the schema file into a separate package, as
    the contents of the file differ between architectures

  [ Samuel Thibault ]
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Jason White ]
  * Add libatk-adaptor-dbg debugging package.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Feb 2012 15:55:59 +0100

at-spi2-atk (2.0.2-1) experimental; urgency=low

  [ Mario Lang ]
  * Initial Debian packages. (Closes: Bug#540336)

  [ Luke Yelavich ]
  * New upstream releases.

  [ Samuel Thibault ]
  * Add myself as uploader.

  [ Luke Yelavich ]
  * Make debian/copyright follow DEP5

 -- Mario Lang <mlang@debian.org>  Mon, 25 Jul 2011 12:17:37 +0200
